//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Purchase
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Purchase()
        {
            this.DeliverySuppliers = new HashSet<DeliverySupplier>();
            this.ProductSkus = new HashSet<ProductSku>();
            this.PurchaseDetails = new HashSet<PurchaseDetail>();
            this.PurchasePayments = new HashSet<PurchasePayment>();
            this.Transactions = new HashSet<Transaction>();
        }
    
        public int PurchaseId { get; set; }
        public int SupplierId { get; set; }
        public System.DateTime Date { get; set; }
        public string InvoiceNumber { get; set; }
        public decimal Total { get; set; }
        public Nullable<int> IVA { get; set; }
        public Nullable<decimal> IVA_Percent { get; set; }
        public Nullable<decimal> Discount { get; set; }
        public int PaymentStatusId { get; set; }
        public int DeliveryStatusId { get; set; }
        public int CurrencyId { get; set; }
        public string Observations { get; set; }
        public decimal AmountPayd { get; set; }
        public bool Active { get; set; }
        public Nullable<System.DateTime> Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public Nullable<decimal> ChangeRate { get; set; }
        public Nullable<decimal> IIBB { get; set; }
        public Nullable<decimal> IIBB_Percent { get; set; }
        public Nullable<decimal> Internal_Tax { get; set; }
    
        public virtual DeliveryStatu DeliveryStatu { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliverySupplier> DeliverySuppliers { get; set; }
        public virtual PaymentStatu PaymentStatu { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductSku> ProductSkus { get; set; }
        public virtual Supplier Supplier { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PurchaseDetail> PurchaseDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PurchasePayment> PurchasePayments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Transaction> Transactions { get; set; }
    }
}
